Subject: AW: draft-ietf-l2tpext-l2tp-mib-01.txt

From: Klausberger Walter <[email-masked]>
Date: Tue, 17 Apr 2001 09:37:07 +0200

I agree with Evan, that we should not duplicate statistic counters in the
L2TP MIB that are already counted somewhere else (see comments of Evan
below).

- In case of an LNS I get the statistics for the sessions from the interface
(eg. PPP) that sits above the tunnel interface (ifStackTable).

- In LAC case we have to look at the l2tpSessionStatsTable to get the
ifIndex of the interface where the traffic comes from (eg. DS0). There we
get the statistics for this session (ifTable). This would also work in LNS
case.

- Walter

> -----Ursprüngliche Nachricht-----
> Von: Evan Caves [mailto:[email-masked]]
> Gesendet am: Dienstag, 10. April 2001 01:47
> An: Reza Shahab
> Cc: [email-masked]
> Betreff: Re: draft-ietf-l2tpext-l2tp-mib-01.txt
> 
> Reza Shahab wrote:
> > 
> > Apologies if this query has been covered and answered in a previous
> > discussion, I'm new to the mailing list.
> > 
> > With regards to the L2TP MIB draft, does anyone see a 
> requirement to provide
> > Payload statistics (i.e. packets/octets sent/received) for the
> > l2tpTunnelStats and l2tpSessionStats groups, as is done for 
> l2tpDomainStats
> > in the current draft.
> > 
> > Is there a specific reason why payload stats are not 
> included for the
> > l2tpStatsGroup? Is there a plan to include payload stats for the
> > l2tpStatsGroup in a future versions of the draft/standard?
> 
> Yes there is. Aggregate payload stats on the tunnel are reflected in 
> the ifTable of the ifEntry that an l2tpTunnelStatsEntry extends. See 
> section "3.1.2.1  L2TP Tunnel Interfaces" for further explaination. 
> Individual payload session traffic stats can also be found in the
> ifTable
> entries that are being tunneled inside the session (ie: a PPP 
> ifEntry).
> We added domain aggregate payload statistics specifically to the 
> l2tpDomainStats table to capture the payload traffic that cannot be
> found
> elsewhere.
> 
> evan
> -
>